html{
    min-height: 3300px;
}

body{
    background: #242424;
    background-size: 40px 40px;
    background-image: linear-gradient(to right, rgb(179, 179, 179), 1px, transparent 1px), linear-gradient(to bottom, rgb(179, 179, 179), 1px, transparent 1px);

    animation: moveGrid 3s linear infinite;
}

html, body{
    overflow: hidden;
}

#discooverlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    min-width: 100vw;
    height: 100vh;
    z-index: 9999;
    pointer-events: none;
    opacity: 0;
    animation: discoglow 3s infinite alternate;
    background-color: red;
}

#discooverlay.active{
    opacity: 0.3;
    animation: discoglow 3s infinite alternate;
}

@keyframes discoglow{
    from {filter: hue-rotate(0deg);}
    to {filter: hue-rotate(360deg);}
}

#stopmessage{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-family: "Archivo Black", sans-serif;
    font-size: 2em;
    z-index: 10000;
    opacity: 0;
    transition: opacity 0.5s ease;
    pointer-events: none;
}

#stopmessage.visible{
    opacity: 1;
}

body::after{
    content: '';
    position: fixed;
    inset: 0;
    pointer-events: none;

    background: radial-gradient(circle, transparent 60%, rgba(5, 5, 5, 0.627) 100%);

    z-index: 1;
}

@keyframes moveGrid{
    from{
        background-position: 0 0;
    }
    to{
        background-position: 40px 40px;
    }
}

a{
    color: inherit;
    text-decoration: none;
}

#header{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-align: center;

    position: absolute;

    left: 3%;
    top: 45%;
    width: 500px;
    min-width: 500px;

    color: white;
    text-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);

    font-family: "Archivo Black", "sans-serif";

    cursor: pointer;
}

.subtext{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    text-align: center;

    position: absolute;

    left: 8%;
    top: 60%;

    font-family: "Micro 5", "sans-serif";

    overflow: hidden;
    white-space: nowrap;
    width: 0;
    min-width: 0;

    color: white;
    text-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);

    transition: width 2s steps(64, end)
}

#header:hover + .subtext-container .subtext{
    width: 100%;
    min-width: 100%;
}

.highlightedsubtext{
    font-size: 32px;
    font-weight: bold;
    margin: 0 5px;
}

.pfp{
    display: flex;

    justify-content: flex-start;
    position: absolute;

    top: 20%;
    right: 10%;

    width: 400px;
    min-width: 400px;
    height: auto;

    overflow: hidden;

    border-radius: 50%;

    box-shadow: 0 30px 40px rgba(0, 0, 0, 0.5);
}

.aboutme{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

    padding-top: 40%;

    font-family: "Archivo Black", sans-serif;
    color: white;
    text-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.aboutmeheader{
    will-change: transform, opacity;
}

.aboutme h1{
    font-size: 40px;
}

.aboutme p{
    width: 600px;
    min-width: 600px;
    font-size: 22px;
}

#github{
    background-color: rgba(16, 16, 16, 0.3);
    backdrop-filter: blur(8px);
}

#languages{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 25px;

    background-color: rgba(224, 168, 89, 0.3);
    backdrop-filter: blur(8px);
}

.iconcontainer{
    display: flex;         
    flex-direction: row;    
    gap: 20px;              
    margin-top: 10px;
    font-size: 48px;
}

.panels{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;

    position: absolute;
    top: 135vh;
    left: 5%;
    width: 90%;
    align-items: start;

    box-sizing: border-box;
}

.panel{
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

    font-family: "Lexend Deca", "sans-serif";

    justify-content: center;
    align-items: center;

    width: fit-content;
    height: auto;
    padding: 3px 3px;

    position: relative;
    z-index: 10;

    border-radius: 30px;
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
    
    color: white;
    text-shadow: 0 30px 40px rgba(0, 0, 0, 0.5);
}

#scrollprompt{
    color: white;
    font-family: "Archivo Black", sans-serif;
    font-size: 25px;

    position: absolute;
    margin-top: -3px;
    text-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);

    opacity: 1;
    visibility: visible;

    transition: opacity 0.4s ease, visibility 0.4s ease;
}

#scrollprompt.hidden{
    opacity: 0;
    visibility: hidden;
}

.servercontainer{
    display: flex;

    width: 100%;
    height: 300px;
    margin: 0 auto;
    margin-top: 50px;
    align-items: center;
    justify-content: flex-start;

    overflow-y: hidden;
    scrollbar-color: rgba(255, 255, 255, 0) rgba(1, 1, 1, 0);
}

.discordservers{
    display: flex;

    align-items: center;
    justify-content: flex-start;

    width: max-content;
    height: 400px;

    will-change: transform;
    transform: translateZ(0);
}

.server{
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

    flex-shrink: 0;

    font-family: "Lexend Deca", "sans-serif";

    width: 400px;
    height: 250px;
    padding: 20px 20px;
    margin-right: 30px;

    position: relative;
    z-index: 10;

    border-radius: 30px;
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
    
    color: white;
    background-color: rgba(43, 43, 43, 0.512);
    text-shadow: 0 30px 40px rgba(0, 0, 0, 0.5);

    backdrop-filter: blur(3px);
}

.serverheader{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-left: 1px;

    gap: 20px;
}

.server img{
    display: flex;
    
    border-radius: 25%;
}

.server h2{
    display: flex;
    flex-direction: row;
    margin: 0;
    text-align: center;
}

.membercount, .online{
    margin: 1px 0;
}

.pages{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: auto;

    width: fit-content;
    margin-top: 200px;
    padding: 20px 20px;

    border-radius: 30px;
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
    
    color: white;
    background-color: rgba(19, 19, 19, 0.512);
    text-shadow: 0 30px 40px rgba(0, 0, 0, 0.5);

    backdrop-filter: blur(3px);
}

.pages p{
    text-shadow: 0 10px 5px rgb(0, 0, 0);
    transition: text-shadow 0.3s ease-in-out;
}

.pages p:hover{
    text-shadow: 0 0 5px rgb(0, 22, 0), 0 0 10px green, 0 0 10px green, 0 0 10px green;
}

.pages h1{
    text-shadow: 0 10px 5px rgb(0, 0, 0);
}

.pagebuttons{
    font-size: 40px;
    color: white;
}

.globalclicker{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: auto;

    width: fit-content;
    margin-top: 400px;
    padding: 20px 20px;

    border-radius: 30px;
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.5);
    
    color: white;
    background-color: rgba(19, 19, 19, 0.512);
    text-shadow: 0 30px 40px rgba(0, 0, 0, 0.5);

    backdrop-filter: blur(3px);
}

.globalclicker h1{
    font-family: "Archivo Black", sans-serif;
    text-shadow: 5px 5px 20px rgb(0, 0, 0);
}

.globalclicker h2{
    font-family: "Lexend Deca", sans-serif;
    text-shadow: 5px 5px 20px rgb(0, 0, 0);
}

.globalclicker p{
    margin-top: -2px;
    margin-left: -200px;
    text-shadow: 5px 5px 20px rgb(0, 0, 0);
}

.globalclicker button{
    width: 130px;
    height: 50px;

    color: white;
    background-color: rgba(19, 19, 23, 0.5);
    backdrop-filter: blur(3px);

    border-radius: 10px;
    border-color: #5757577c;
    border-style: solid;

    font-size: 13px;
}